Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Express middleware error on grunt #17

Closed
jonopus opened this Issue Apr 15, 2014 · 4 comments

Comments

Projects
None yet
3 participants

jonopus commented Apr 15, 2014

I'm getting this error on grunt

Error: Most middleware (like session) is no longer bundled with Express and must be installed separately. Please
see https://github.com/senchalabs/connect#middleware.
at Function.Object.defineProperty.get (C:\meanproject\node_modules\express\lib\express.js:89:
3)
at module.exports (C:\meanproject\node_modules\connect-mongo\lib\connect-mongo.js:30:22)
at Object. (C:\meanproject\config\express.js:6:42)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)
at Object. (C:\meanproject\server.js:41:1)
[nodemon] app crashed - waiting for file changes before starting...

Owner

jrcryer commented Apr 24, 2014

Thanks @jonopus - I'll take a look at this for you.

same issue

@jrcryer jrcryer closed this in 57fd046 Apr 29, 2014

Owner

jrcryer commented Apr 29, 2014

Thanks for raising this - I've released a fix which now means this generator works with Express 4.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment